byte rdata = 0;

void writeEEPROM(int deviceaddress, unsigned int eeaddress, byte Data) {
  Wire.beginTransmission(deviceaddress);
  Wire.write((int)(eeaddress >> 8));   // Byte mais significativo
  Wire.write((int)(eeaddress)); // Byte menos significativo
  Wire.write((byte)Data);
  Wire.endTransmission();
  delay(5);
}

int readEEPROM(int deviceaddress, unsigned int eeaddress ) {
  Wire.beginTransmission(deviceaddress);
  Wire.write((int)(eeaddress >> 8));   
  Wire.write((int)(eeaddress)); 
  Wire.endTransmission();
 
  Wire.requestFrom(deviceaddress,1);
  if (Wire.available()){
    rdata = Wire.read();
  }   
  return rdata;
}
